Loading...
Searching...
No Matches
RDKit::MolStandardize::FragmentValidation Class Reference

The FragmentValidation class logs if certain fragments are present. More...

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::FragmentValidation:

## Public Member Functions

std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const override
std::shared_ptr< ValidationMethod > | copy () const override
Public Member Functions inherited from RDKit::MolStandardize::ValidationMethod
| ValidationMethod ()=default
virtual | ~ValidationMethod ()=default

## Detailed Description

The FragmentValidation class logs if certain fragments are present.

Definition at line 112 of file Validate.h.

## Member Function Documentation

## copy()

std::shared_ptr< ValidationMethod > RDKit::MolStandardize::FragmentValidation::copy | ( |  | ) | const

inline override virtual

Implements RDKit::MolStandardize::ValidationMethod.

Definition at line 117 of file Validate.h.

## validate()

std::vector< ValidationErrorInfo > RDKit::MolStandardize::FragmentValidation::validate | ( | const ROMol & | mol,
|  | bool | reportAllFailures ) const

override virtual

Implements RDKit::MolStandardize::ValidationMethod.

The documentation for this class was generated from the following file:

- Validate.h